%define languageenglazy Nepali
%define languagecode    ne
%define lc_ctype        ne_NP

Name:           hunspell-%{languagecode}
Version:        20080425
Release:        %mkrel 11
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2
Group:          System/Internationalization
URL:            http://nepalinux.org/downloads
Source0:        http://nepalinux.org/downloads/ne_NP_dict.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ne
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ne_IN = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ne_IN = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ne_NP.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 20080425-11.mga6
+ Revision: 941011
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20080425-10.mga5
+ Revision: 749246
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20080425-9.mga5
+ Revision: 680281
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 20080425-8.mga4
+ Revision: 521871
- Mageia 4 Mass Rebuild

* Fri Jan 25 2013 kamil <kamil> 20080425-7.mga3
+ Revision: 392287
- stop installing language aliases

* Sat Jan 12 2013 umeabot <umeabot> 20080425-6.mga3
+ Revision: 353602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 20080425-5.mga2
+ Revision: 224768
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 20080425-4.mga2
+ Revision: 209020
- use better obsoleting of myspell

* Tue Feb 07 2012 kamil <kamil> 20080425-3.mga2
+ Revision: 206059
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 20080425-2.mga1
+ Revision: 68979
- imported package hunspell-ne


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080425-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 11 2009 Parag <pnemade@redhat.com> - 20080425-1
- Update to next upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20061217-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20061217-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 15 2008 Parag <pnemade@redhat.com> - 20061217-3
- Resolves:rh#475982 - Perhaps hunspell-ne suffices for ne_IN as well as ne_NP 

* Mon Jan 21 2008 Parag <pnemade@redhat.com> - 20061217-2
- Corrected License tag.

* Thu Jan 03 2008 Parag <pnemade@redhat.com> - 20061217-1
- Initial Fedora release
